Stream(ArrayList data, DGNExportOptions dgnExportOptions) { data.Add(new Snoop.Data.ClassSeparator(typeof(DGNExportOptions))); data.Add(new Snoop.Data.String("Layer mapping", dgnExportOptions.LayerMapping)); data.Add(new Snoop.Data.String("Seed file name", dgnExportOptions.SeedName)); }
/// <summary> /// Collect the parameters and export /// </summary> /// <returns></returns> public override bool Export() { base.Export(); bool exported = false; //parameter : ViewSet views ViewSet views = new ViewSet(); if (m_currentViewOnly) { views.Insert(m_activeDoc.ActiveView); } else { views = m_selectViewsData.SelectedViews; } //parameter : DWGExportOptions dwgExportOptions DGNExportOptions dgnExportOptions = new DGNExportOptions(); dgnExportOptions.LayerMapping = m_exportLayerMapping; dgnExportOptions.TemplateFile = m_templateFile; //Export exported = m_activeDoc.Export(m_exportFolder, m_exportFileName, views, dgnExportOptions); return(exported); }
Stream(ArrayList data, DGNExportOptions dgnExportOptions) { data.Add(new Snoop.Data.ClassSeparator(typeof(DGNExportOptions))); data.Add(new Snoop.Data.String("Export of solids", dgnExportOptions.ExportOfSolids.ToString())); data.Add(new Snoop.Data.String("Layer mapping", dgnExportOptions.LayerMapping)); data.Add(new Snoop.Data.String("Template file", dgnExportOptions.TemplateFile)); }
/// <summary> /// Collect the parameters and export /// </summary> /// <returns></returns> public override bool Export() { base.Export(); bool exported = false; ICollection <ElementId> views = new List <ElementId>(); if (m_currentViewOnly) { views.Add(m_activeDoc.ActiveView.Id); } else { foreach (View view in m_selectViewsData.SelectedViews) { views.Add(view.Id); } } //parameter : DWGExportOptions dwgExportOptions DGNExportOptions dgnExportOptions = new DGNExportOptions(); // default values dgnExportOptions.FileVersion = DGNFileFormat.DGNVersion8; m_exportLayerMapping = m_enumLayerMapping[0]; // set values from selected options dgnExportOptions.LayerMapping = m_exportLayerMapping; if (m_exportFileVersion == "MicroStation V7 Format") { dgnExportOptions.FileVersion = DGNFileFormat.DGNVersion7; } else { dgnExportOptions.FileVersion = DGNFileFormat.DGNVersion8; } dgnExportOptions.HideScopeBox = m_hideScopeBox; dgnExportOptions.HideUnreferenceViewTags = m_hideUnreferenceViewTags; dgnExportOptions.HideReferencePlane = m_hideReferencePlane; ProcessModule mainModule = Process.GetCurrentProcess().MainModule; String RevitFolder = Path.GetDirectoryName(mainModule.FileName); dgnExportOptions.SeedName = Path.Combine(RevitFolder, @"ACADInterop\V8-Imperial-Seed3D.dgn"); //Export exported = m_activeDoc.Export(m_exportFolder, m_exportFileName, views, dgnExportOptions); return(exported); }
CollectEvent(object sender, CollectorEventArgs e) { // cast the sender object to the SnoopCollector we are expecting Collector snoopCollector = sender as Collector; if (snoopCollector == null) { Debug.Assert(false); // why did someone else send us the message? return; } // see if it is a type we are responsible for Color color = e.ObjToSnoop as Color; if (color != null) { Stream(snoopCollector.Data(), color); return; } LayoutRule layoutRule = e.ObjToSnoop as LayoutRule; if (layoutRule != null) { Stream(snoopCollector.Data(), layoutRule); return; } FormatOptions formatOptions = e.ObjToSnoop as FormatOptions; if (formatOptions != null) { Stream(snoopCollector.Data(), formatOptions); return; } CurtainGrid curtainGrid = e.ObjToSnoop as CurtainGrid; if (curtainGrid != null) { Stream(snoopCollector.Data(), curtainGrid); return; } CurtainCell curtainCell = e.ObjToSnoop as CurtainCell; if (curtainCell != null) { Stream(snoopCollector.Data(), curtainCell); return; } RebarHostData rebarHostData = e.ObjToSnoop as RebarHostData; if (rebarHostData != null) { Stream(snoopCollector.Data(), rebarHostData); return; } Leader leader = e.ObjToSnoop as Leader; if (leader != null) { Stream(snoopCollector.Data(), leader); return; } AreaVolumeSettings areaSettings = e.ObjToSnoop as AreaVolumeSettings; if (areaSettings != null) { Stream(snoopCollector.Data(), areaSettings); return; } ViewSheetSetting viewSheetSetting = e.ObjToSnoop as ViewSheetSetting; if (viewSheetSetting != null) { Stream(snoopCollector.Data(), viewSheetSetting); return; } Autodesk.Revit.UI.Events.DialogBoxData dlgBoxData = e.ObjToSnoop as Autodesk.Revit.UI.Events.DialogBoxData; if (dlgBoxData != null) { Stream(snoopCollector.Data(), dlgBoxData); return; } Construction construct = e.ObjToSnoop as Construction; if (construct != null) { Stream(snoopCollector.Data(), construct); return; } FamilyElementVisibility famElemVisib = e.ObjToSnoop as FamilyElementVisibility; if (famElemVisib != null) { Stream(snoopCollector.Data(), famElemVisib); return; } FamilyManager famManager = e.ObjToSnoop as FamilyManager; if (famManager != null) { Stream(snoopCollector.Data(), famManager); return; } FamilyParameter famParam = e.ObjToSnoop as FamilyParameter; if (famParam != null) { Stream(snoopCollector.Data(), famParam); return; } FamilyType famType = e.ObjToSnoop as FamilyType; if (famType != null) { Stream(snoopCollector.Data(), famType); return; } MEPSpaceConstruction mepSpaceConstuct = e.ObjToSnoop as MEPSpaceConstruction; if (mepSpaceConstuct != null) { Stream(snoopCollector.Data(), mepSpaceConstuct); return; } BuildingSiteExportOptions bldSiteExpOptions = e.ObjToSnoop as BuildingSiteExportOptions; if (bldSiteExpOptions != null) { Stream(snoopCollector.Data(), bldSiteExpOptions); return; } DGNExportOptions dgnExpOptions = e.ObjToSnoop as DGNExportOptions; if (dgnExpOptions != null) { Stream(snoopCollector.Data(), dgnExpOptions); return; } DWFExportOptions dwfExpOptions = e.ObjToSnoop as DWFExportOptions; if (dwfExpOptions != null) { Stream(snoopCollector.Data(), dwfExpOptions); return; } DWGExportOptions dwgExpOptions = e.ObjToSnoop as DWGExportOptions; if (dwgExpOptions != null) { Stream(snoopCollector.Data(), dwgExpOptions); return; } DWGImportOptions dwgImpOptions = e.ObjToSnoop as DWGImportOptions; if (dwgImpOptions != null) { Stream(snoopCollector.Data(), dwgImpOptions); return; } FBXExportOptions fbxExpOptions = e.ObjToSnoop as FBXExportOptions; if (fbxExpOptions != null) { Stream(snoopCollector.Data(), fbxExpOptions); return; } TrussMemberInfo trussInfo = e.ObjToSnoop as TrussMemberInfo; if (trussInfo != null) { Stream(snoopCollector.Data(), trussInfo); return; } VertexIndexPair vertIndPair = e.ObjToSnoop as VertexIndexPair; if (vertIndPair != null) { Stream(snoopCollector.Data(), vertIndPair); return; } PointElementReference ptElemRef = e.ObjToSnoop as PointElementReference; if (ptElemRef != null) { Stream(snoopCollector.Data(), ptElemRef); return; } Autodesk.Revit.DB.Architecture.BoundarySegment boundSeg = e.ObjToSnoop as Autodesk.Revit.DB.Architecture.BoundarySegment; if (boundSeg != null) { Stream(snoopCollector.Data(), boundSeg); return; } PointLocationOnCurve ptLocOnCurve = e.ObjToSnoop as PointLocationOnCurve; if (ptLocOnCurve != null) { Stream(snoopCollector.Data(), ptLocOnCurve); return; } Entity entity = e.ObjToSnoop as Entity; if (entity != null) { Stream(snoopCollector.Data(), entity); return; } Field field = e.ObjToSnoop as Field; if (field != null) { Stream(snoopCollector.Data(), field); return; } ExtensibleStorageField storeagefield = e.ObjToSnoop as ExtensibleStorageField; if (storeagefield != null) { Stream(snoopCollector.Data(), storeagefield); return; } IList <Autodesk.Revit.DB.BoundarySegment> boundSegs = e.ObjToSnoop as IList <Autodesk.Revit.DB.BoundarySegment>; if (boundSegs != null) { Stream(snoopCollector.Data(), boundSegs); return; } if (e.ObjToSnoop is KeyValuePair <String, String> ) { KeyValuePair <String, String> stringspair = (KeyValuePair <String, String>)e.ObjToSnoop; Stream(snoopCollector.Data(), stringspair); return; } Schema schema = e.ObjToSnoop as Schema; if (schema != null) { Stream(snoopCollector.Data(), schema); return; } ElementId elemId = e.ObjToSnoop as ElementId; if (elemId != null) { Stream(snoopCollector.Data(), elemId); return; } PlanViewRange plvr = e.ObjToSnoop as PlanViewRange; if (plvr != null) { Stream(snoopCollector.Data(), plvr); return; } //TF RebarConstraintsManager rbcm = e.ObjToSnoop as RebarConstraintsManager; if (rbcm != null) { Stream(snoopCollector.Data(), rbcm); return; } RebarConstrainedHandle rbch = e.ObjToSnoop as RebarConstrainedHandle; if (rbch != null) { Stream(snoopCollector.Data(), rbch); return; } RebarConstraint rbc = e.ObjToSnoop as RebarConstraint; if (rbc != null) { Stream(snoopCollector.Data(), rbc); return; } //TFEND if (Utils.IsSupportedType(e.ObjToSnoop) && e.ObjToSnoop != null) { Utils.StreamWithReflection(snoopCollector.Data(), e.ObjToSnoop.GetType(), e.ObjToSnoop); } }
/// <summary> /// Collect the parameters and export /// </summary> /// <returns></returns> public override bool Export() { base.Export(); bool exported = false; ICollection<ElementId> views = new List<ElementId>(); if (m_currentViewOnly) { views.Add(m_activeDoc.ActiveView.Id); } else { foreach (View view in m_selectViewsData.SelectedViews) { views.Add(view.Id); } } //parameter : DWGExportOptions dwgExportOptions DGNExportOptions dgnExportOptions = new DGNExportOptions(); // default values dgnExportOptions.FileVersion = DGNFileFormat.DGNVersion8; m_exportLayerMapping = m_enumLayerMapping[0]; // set values from selected options dgnExportOptions.LayerMapping = m_exportLayerMapping; if (m_exportFileVersion == "MicroStation V7 Format") { dgnExportOptions.FileVersion = DGNFileFormat.DGNVersion7; } else { dgnExportOptions.FileVersion = DGNFileFormat.DGNVersion8; } dgnExportOptions.HideScopeBox = m_hideScopeBox; dgnExportOptions.HideUnreferenceViewTags = m_hideUnreferenceViewTags; dgnExportOptions.HideReferencePlane = m_hideReferencePlane; ProcessModule mainModule = Process.GetCurrentProcess().MainModule; String RevitFolder = Path.GetDirectoryName( mainModule.FileName ); dgnExportOptions.SeedName = Path.Combine(RevitFolder, @"ACADInterop\V8-Imperial-Seed3D.dgn"); //Export exported = m_activeDoc.Export(m_exportFolder, m_exportFileName, views, dgnExportOptions); return exported; }
/// <summary> /// Collect the parameters and export /// </summary> /// <returns></returns> public override bool Export() { base.Export(); bool exported = false; //parameter : ViewSet views ViewSet views = new ViewSet(); if (m_currentViewOnly) { views.Insert(m_activeDoc.ActiveView); } else { views = m_selectViewsData.SelectedViews; } //parameter : DWGExportOptions dwgExportOptions DGNExportOptions dgnExportOptions = new DGNExportOptions(); dgnExportOptions.LayerMapping = m_exportLayerMapping; dgnExportOptions.TemplateFile = m_templateFile; //Export exported = m_activeDoc.Export(m_exportFolder, m_exportFileName, views, dgnExportOptions); return exported; }